List documents
List documents for a location
GET
/
proposals
/
document
List documents
curl --request GET \
--url https://services.leadconnectorhq.com/proposals/document \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', Version: '<version>'}
};
fetch('https://services.leadconnectorhq.com/proposals/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/document"
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>"
}
response = requests.get(url, headers=headers)
print(response.text){
"documents": [
{
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"_id": "67ac9a51106ee8311e911XXXX",
"name": "Document Name",
"type": "proposal",
"deleted": false,
"isExpired": false,
"documentRevision": 1,
"fillableFields": [
{
"fieldId": "text_field_1",
"isRequired": true,
"hasCompleted": true,
"recipient": "John Doe",
"entityType": "contacts",
"id": "2d0a6fe1-d519-4198-8785-3da1d7cab925",
"type": "TextField",
"value": "John Doe"
}
],
"grandTotal": {
"amount": 100,
"currency": "USD",
"discountPercentage": 15,
"discounts": [
{
"id": "123456",
"value": 10,
"type": "percentage"
}
]
},
"locale": "en-US",
"status": "draft",
"paymentStatus": "paid",
"recipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton",
"role": "signer",
"hasCompleted": true,
"signingOrder": 1,
"imgUrl": "base64 image url",
"ip": "123.123.123.123"
}
],
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
],
"updatedAt": "2025-02-03T18:30:00.000Z",
"createdAt": "2025-02-14T18:29:59.999Z"
}
],
"total": 10,
"whiteLabelBaseUrl": "https://example.com",
"whiteLabelBaseUrlForInvoice": "https://example.com"
}{
"statusCode": 400,
"message": "Bad Request"
}Authorizations
bearerbearer
Headers
Query Parameters
Response
Document fetched successfully
Last modified on March 7, 2026
Was this page helpful?
List documents
curl --request GET \
--url https://services.leadconnectorhq.com/proposals/document \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', Version: '<version>'}
};
fetch('https://services.leadconnectorhq.com/proposals/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/document"
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>"
}
response = requests.get(url, headers=headers)
print(response.text){
"documents": [
{
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"_id": "67ac9a51106ee8311e911XXXX",
"name": "Document Name",
"type": "proposal",
"deleted": false,
"isExpired": false,
"documentRevision": 1,
"fillableFields": [
{
"fieldId": "text_field_1",
"isRequired": true,
"hasCompleted": true,
"recipient": "John Doe",
"entityType": "contacts",
"id": "2d0a6fe1-d519-4198-8785-3da1d7cab925",
"type": "TextField",
"value": "John Doe"
}
],
"grandTotal": {
"amount": 100,
"currency": "USD",
"discountPercentage": 15,
"discounts": [
{
"id": "123456",
"value": 10,
"type": "percentage"
}
]
},
"locale": "en-US",
"status": "draft",
"paymentStatus": "paid",
"recipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton",
"role": "signer",
"hasCompleted": true,
"signingOrder": 1,
"imgUrl": "base64 image url",
"ip": "123.123.123.123"
}
],
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
],
"updatedAt": "2025-02-03T18:30:00.000Z",
"createdAt": "2025-02-14T18:29:59.999Z"
}
],
"total": 10,
"whiteLabelBaseUrl": "https://example.com",
"whiteLabelBaseUrlForInvoice": "https://example.com"
}{
"statusCode": 400,
"message": "Bad Request"
}